//色の定義
color black = color(0);
color c1 = color(250,100,0);
color c2 = color(255,255,0);
color c3 = color(255,0,50);

//パレットブロックの位置・大きさ
int x1 = 50; int y1 = 100; 
int x2 = 50; int y2 = 200;
int x3 = 50; int y3 = 300;
int w = 50;  int h = 50;
boolean in1,in2,in3;

//描画ブロックの位置・大きさ
int xd = 150;  int yd = 50;
int wd = 350;  int hd = 350;


void setup(){
  size(600,500);  background(0);
  //パレットの描画
  noStroke();
  fill(c1);  rect(x1,y1,w,h);
  fill(c2);  rect(x2,y2,w,h);
  fill(c3);  rect(x3,y3,w,h);
  //キャンバスの描画
  fill(black);  stroke(255);
  rect(xd,yd,wd,wd);
}

void draw(){
  
    int x = mouseX;  int y = mouseY;   
    in1 = x>x1 && x<x1+w && y>y1 && y<y1+h;
    in2 = x>x2 && x<x2+w && y>y2 && y<y2+h;
    in3 = x>x3 && x<x3+w && y>y3 && y<y3+h;    
    
    if(!in1 && !in2 && !in3){
      fill(black);  rect(xd,yd,wd,wd);
    }
    
}

void mousePressed(){

    if(in1){
      fill(c1);  rect(xd,yd,wd,wd);
    }
    if(in2){
      fill(c2);  rect(xd,yd,wd,wd);
    }
    if(in3){
      fill(c3);  rect(xd,yd,wd,wd);
    }    
  
}